local love = love
local print = print
local vector = require "vector"
local Button = require "Button"
local setmetatable = setmetatable

local ButtonsContainer = {}

if setfenv then
   setfenv(1, ButtonsContainer) -- for 5.1
else
   _ENV = ButtonsContainer -- for 5.2
end

function ButtonsContainer:new( o )
   o = o or {}
   setmetatable(o, self)
   self.__index = self
   o.buttons = o.buttons or {}
   return o
end

function ButtonsContainer:update(dt)
   for i = 1, #self.buttons do
      self.buttons[i]:update(dt)
   end   
end

function ButtonsContainer:draw()
   for i = 1, #self.buttons do
      self.buttons[i]:draw()
   end   
end

return ButtonsContainer
