local love = love
local vector = require "vector"
local table = table
local math = math
local setmetatable = setmetatable
local pairs = pairs
local tostring = tostring

local LifeDisplay = {}

if setfenv then
   setfenv(1, LifeDisplay) -- for 5.1
else
   _ENV = LifeDisplay -- for 5.2
end

function LifeDisplay:new( o )   
   o = o or {}
   setmetatable(o, self)
   self.__index = self
   o.life = o.life or 3
   o.position = o.position or vector(620, 500)
   o.width = o.width or 170
   o.separation = o.separation or 30
   return o
end

function LifeDisplay:update( dt )   
end

function LifeDisplay:draw()
   oldfont = love.graphics.getFont()
   bungee = love.graphics.newFont(
      "/fonts/Bungee_Inline/BungeeInline-Regular.ttf", 30 )
   love.graphics.setFont( bungee )
   local r, g, b, a = love.graphics.getColor( )
   love.graphics.setColor( 255, 255, 255, 230 )
   love.graphics.printf( "Lives: " .. tostring( self.life ),
			 self.position.x,
			 self.position.y,
			 self.width,
			 "center" )
   love.graphics.setFont( oldfont )
   love.graphics.setColor( r, g, b, a )
end

function LifeDisplay:add_new_life()
   self.life = self.life + 1
end

function LifeDisplay:lose_life()
   self.life = self.life - 1
end

return LifeDisplay
