local love = love
local vector = require "vector"
local table = table
local print = print
local math = math
local setmetatable = setmetatable
local pairs = pairs
local tostring = tostring
local string = string

local ScoreDisplay = {}

if setfenv then
   setfenv(1, ScoreDisplay) -- for 5.1
else
   _ENV = ScoreDisplay -- for 5.2
end

function ScoreDisplay:new( o )   
   o = o or {}
   setmetatable(o, self)
   self.__index = self
   o.score = o.score or 0
   o.position = o.position or vector(670, 32)
   o.width = o.width or 70
   o.separation = o.separation or 35
   return o
end


function ScoreDisplay:update( dt )   
end

function ScoreDisplay:draw()
   oldfont = love.graphics.getFont()
   bungee = love.graphics.newFont(
      "/fonts/Bungee_Inline/BungeeInline-Regular.ttf", 30 )
   love.graphics.setFont( bungee )
   local r, g, b, a = love.graphics.getColor( )
   love.graphics.setColor( 255, 255, 255, 230 )
   love.graphics.printf( "Score:",
			 self.position.x,
			 self.position.y,
			 self.width,
			 "center" )
   love.graphics.printf( self.score,
			 self.position.x,
			 self.position.y + self.separation,
			 self.width,
			 "center" )
   love.graphics.setFont( oldfont )
   love.graphics.setColor( r, g, b, a )
end

function ScoreDisplay:react_on_ball_brick_collision( brick_shape )
   local to_destroy = brick_shape.game_object.to_destroy
   local bricktype = brick_shape.game_object.bricktype
   if to_destroy then
      if string.match( bricktype, 'simple' ) then
	 self.score = self.score + 10
      elseif string.match( bricktype, 'cracked2' ) then
	 self.score = self.score + 30
      end
   end
end
      
return ScoreDisplay
