local print = print
local math = math
local pairs = pairs
local love = love
local level_sequence = {}

if setfenv then
   setfenv(1, level_sequence) -- for 5.1
else
   _ENV = level_sequence -- for 5.2
end

name = "test_level_sequence" 

sequence = {
   "01_intro",
   "02_digger",
   "03_spaceinv",
   "04_hourglass",
   "05_demo",
}

tileset_image_file = "levels/bricks_and_bonuses_64-32.png"

tileset_description = {
   [10] = "brick_blue_simple",
   [11] = "brick_blue_armored",
   [12] = "brick_blue_armored_cracked1",
   [13] = "brick_blue_armored_cracked2",
   [14] = "bonus_blue",
   [20] = "brick_green_simple",
   [21] = "brick_green_armored",
   [22] = "brick_green_armored_cracked1",
   [23] = "brick_green_armored_cracked2",
   [24] = "bonus_green",
   [30] = "brick_orange_simple",
   [31] = "brick_orange_armored",
   [32] = "brick_orange_armored_cracked1",
   [33] = "brick_orange_armored_cracked2",
   [34] = "bonus_orange",
   [40] = "brick_purple_simple",
   [41] = "brick_purple_armored",
   [42] = "brick_purple_armored_cracked1",
   [43] = "brick_purple_armored_cracked2",
   [44] = "bonus_purple",
   [50] = "brick_red_simple",
   [51] = "brick_red_armored",
   [52] = "brick_red_armored_cracked1",
   [53] = "brick_red_armored_cracked2",
   [54] = "bonus_red",
   [60] = "brick_yellow_simple",
   [61] = "brick_yellow_armored",
   [62] = "brick_yellow_armored_cracked1",
   [63] = "brick_yellow_armored_cracked2",
   [64] = "bonus_yellow",
   [70] = "brick_heavyarmored",
   [74] = "bonus_grey",
   [84] = "bonus_white"
}

human_readable_type_to_tileset_id = {}
for k, v in pairs(tileset_description) do
   human_readable_type_to_tileset_id[v] = k
end

function tileset_id_to_quad( id )
   local tileset_width = 640
   local tileset_height = 320
   local single_tile_width = 64
   local single_tile_height = 32
   local row = id % 10 + 1
   local col = math.floor( id / 10 )
   x_pos = single_tile_width * ( col - 1 )
   y_pos = single_tile_height * ( row - 1 )
   return love.graphics.newQuad( x_pos, y_pos,
                                 single_tile_width, single_tile_height,
                                 tileset_width, tileset_height )
end

function human_readable_type_to_quad( readable_type )
   local id = human_readable_type_to_tileset_id[readable_type]
   local quad = tileset_id_to_quad( id )
   return quad
end

return level_sequence

